Skip to main content
GET
https://{tenantDomain}/api/v2
/
flows
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
    management "github.com/auth0/go-auth0/management"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Flows.List(
        context.TODO(),
        &management.FlowsListRequest{
            Page: management.Int(
                1,
            ),
            PerPage: management.Int(
                1,
            ),
            IncludeTotals: management.Bool(
                true,
            ),
            Synchronous: management.Bool(
                true,
            ),
        },
    )
}
[
  {
    "id": "<string>",
    "name": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "executed_at": "2023-12-25"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer

Page index of the results to return. First page is 0.

Required range: 0 <= x <= 1000
per_page
integer

Number of results per page. Defaults to 50.

Required range: 1 <= x <= 100
include_totals
boolean

Return results inside an object that contains the total result count (true) or as a direct array of results (false, default).

hydrate
enum<string>[]

hydration param

Available options:
form_count
Maximum string length: 50
synchronous
boolean

flag to filter by sync/async flows

Response

Flows successfully retrieved.

id
string<flow-id>
required
Maximum string length: 30
name
string
required
Required string length: 1 - 150
created_at
string<date-time>
required
updated_at
string<date-time>
required
executed_at
string<date>